package ink.wgink.module.examine.pojo.dtos.paper.question;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: PaperQuestionDTO
 * @Description: 试卷考题
 * @Author: WenG
 * @Date: 2020-09-11 12:31
 * @Version: 1.0
 **/
@ApiModel
public class PaperQuestionDTO {

    @ApiModelProperty(name = "paperQuestionId", value = "试卷试题ID")
    private String paperQuestionId;
    @ApiModelProperty(name = "paperId", value = "试卷ID")
    private String paperId;
    @ApiModelProperty(name = "questionId", value = "试题ID")
    private String questionId;
    @ApiModelProperty(name = "questionSort", value = "试题排序")
    private String questionSort;
    @ApiModelProperty(name = "questionSubject", value = "试题题目")
    private String questionSubject;
    @ApiModelProperty(name = "questionType", value = "试题种类")
    private String questionType;
    @ApiModelProperty(name = "questionChoiceType", value = "试题选择类别")
    private String questionChoiceType;
    @ApiModelProperty(name = "questionDifficulty", value = "难度")
    private String questionDifficulty;
    @ApiModelProperty(name = "questionSource", value = "试题来源")
    private String questionSource;

    public String getPaperQuestionId() {
        return paperQuestionId;
    }

    public void setPaperQuestionId(String paperQuestionId) {
        this.paperQuestionId = paperQuestionId;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getQuestionSort() {
        return questionSort;
    }

    public void setQuestionSort(String questionSort) {
        this.questionSort = questionSort;
    }

    public String getQuestionSubject() {
        return questionSubject;
    }

    public void setQuestionSubject(String questionSubject) {
        this.questionSubject = questionSubject;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public String getQuestionChoiceType() {
        return questionChoiceType;
    }

    public void setQuestionChoiceType(String questionChoiceType) {
        this.questionChoiceType = questionChoiceType;
    }

    public String getQuestionDifficulty() {
        return questionDifficulty;
    }

    public void setQuestionDifficulty(String questionDifficulty) {
        this.questionDifficulty = questionDifficulty;
    }

    public String getQuestionSource() {
        return questionSource;
    }

    public void setQuestionSource(String questionSource) {
        this.questionSource = questionSource;
    }

}
